Subject: Re: Building ppc/powerpc kernel to run under QEMU.

From: Rob Landley <[email-masked]>
Date: Fri, 11 May 2007 21:14:57 -0400

On Thursday 10 May 2007 1:28 pm, Linas Vepstas wrote:
> Hi Rob,
> 
> On Wed, May 09, 2007 at 10:03:25PM -0400, Rob Landley wrote:
> > I've been puttering around with my Firmware Linux project trying to add
> > powerpc as a supported platform.  I can build kernels that qemu can boot 
(such
> > as a "prep" kernel) using ARCH=ppc, but that one doesn't support make
> > headers_install.
> > 
> > Using ARCH=powerpc makes headers_install work, but there's no 
kernel .config 
> > I've been able to come up with that generates a kernel I can boot under 
qemu.
> 
> Hmm. I'm not a boot expert, (although many people on this list are). 
> Any hint of where the boot is failing?  Maybe qemu is not setting up
> a device tree? 

How about "not building a prep kernel at all"?

The Open Hackware bootloader used by QEMU insists on a boot partition, even 
when I use "-kernel" to use the built-in bootloader.  But the prep kernel is 
apparently formatted to look like a boot partition, or close enough for the 
firmware to recognize it.  (The macintosh-style kernels require a hard drive 
image in order for the firmware to like them.  So I can't boot one of those 
with "qemu -kernel filename" even if I build it right.)

Rob